html {
    font-size: clamp(4px, .56vw, 10px);
    @media only screen and (max-width: 834px) {
        font-size: clamp(3px, 1.2vw, 10px);
    }
    @media only screen and (max-width: 610px) {
        font-size: 10px;
    }
}

:root {
    --main-font: 'Montserrat', sans-serif;
}

body {
    display: flex;
    flex-direction: column;
    margin: 0;
    padding: 0;
    min-height: var(--viewport-height);
    font-family: var(--main-font);
    font-weight: 400;
    font-size: 2rem;
    line-height: normal;
    background: #030304;
    color: #FFFFFF;
    &.modal-open {
        overflow: hidden;
        padding-right: var(--layout-shift);
    }
    @media only screen and (max-width: 610px) {
        &.menu-open {
            overflow: hidden;
            padding-right: var(--layout-shift);
        }
    }
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0;
    padding: 0;
    font-size: inherit;
    line-height: inherit;
    font-weight: inherit;
}

a {
    text-decoration: none;
    color: inherit;
    transition: color .3s ease, opacity .3s ease;
}

ul {
    padding: 0;
    margin: 0;
    margin-block-start: 0;
    margin-block-end: 0;
    margin-inline-start: 0;
    margin-inline-end: 0;
    padding-inline-start: 0;

    li {
        display: block;
        list-style: none;
        padding: 0;
    }
}

img,
picture {
    display: block;
    max-width: 100%;
}

* {
    box-sizing: border-box;
    &::before,
    &::after {
        box-sizing: border-box;
    }
}

.main {
    flex: 1 1 0;
}

.container {
    width: 100%;
    padding: 0 12.8rem;
    @media only screen and (max-width: 1240px) {
        padding: 0 8.4rem;
    }
    @media only screen and (max-width: 834px) {
        padding: 0 5.2rem;
    }
    @media only screen and (max-width: 610px) {
        padding: 0 2.2rem;
    }
}

.section-title {
    display: flex;
    align-items: center;
    font-size: 6.4rem;
    font-weight: 400;
    line-height: 104.4%;
    letter-spacing: -0.064rem;
    &__text {
        position: relative;
        z-index: 1;
        &::before {
            content: '';
            position: absolute;
            top: -2.9rem;
            left: -12.8rem;
            display: block;
            height: calc(100% + 5.9rem);
            width: calc(100% + 18.9rem);
            border-radius: 0rem 2.3rem 2.3rem 0rem;
            border: .1rem solid #FFF;
            border-left: 0;
            z-index: -1;
        }
        &::after {
            content: '';
            position: absolute;
            top: 0;
            right: -1rem;
            display: block;
            width: 13.4rem;
            height: 5.6rem;
            background: url('data:image/svg+xml,<svg width="134" height="56" viewBox="0 0 134 56" fill="none" xmlns="http://www.w3.org/2000/svg"><g clip-path="url(%23clip0_2249_71)"><line x1="54.1384" y1="4.99798" x2="2.72123" y2="52.7283" stroke="%234F92FF" stroke-width="8"/><line x1="130.296" y1="3.92767" x2="78.8785" y2="51.658" stroke="%234F92FF" stroke-width="8"/><line x1="94.7048" y1="2.93158" x2="43.2876" y2="50.6619" stroke="%234F92FF" stroke-width="8"/></g><defs><clipPath id="clip0_2249_71"><rect width="134" height="56" fill="white"/></clipPath></defs></svg>') no-repeat center;
            background-size: contain;
            z-index: -1;
        }
    }
    @media only screen and (max-width: 1240px) {
        &__text {
            &::before {
                left: -8.4rem;
                width: calc(100% + 12.9rem);
            }
        }
    }
    @media only screen and (max-width: 834px) {
        font-size: 3.2rem;
        line-height: 104.4%;
        letter-spacing: -0.112rem;
        &__text {
            &::before {
                top: -1.9rem;
                left: -5.2rem;
                width: calc(100% + 5.9rem);
                height: calc(100% + 3.9rem);
            }
            &::after {
                top: .8rem;
                right: 3rem;
                width: 4.4rem;
                height: 2rem;
            }
        }
    }
    @media only screen and (max-width: 610px) {
        font-size: 2rem;
        line-height: 104.4%;
        letter-spacing: -0.07rem;
        &__text {
            &::before {
                left: -2.2rem;
                border-radius: 0 1.3rem 1.3rem 0;
            }
        }
    }
}


.more-link {
    display: flex;
    align-items: center;
    transition: .3s ease;
    &__icon {
        display: block;
        background: #030304;
        border-radius: 50%;
        border-style: solid;
        border-color: #ffffff;
        color: #FFF;
        border-width: .3rem;
        margin-right: 2.7rem;
        width: 6.1rem;
        height: 6.1rem;
        flex-shrink: 0;
        transition: .3s ease;
        &-svg {
            display: block;
            width: 100%;
            height: 100%;
            fill: currentColor;
            object-fit: contain;
        }
       
    }
    &__text {
        font-size: 2rem;
        font-weight: 800;
        line-height: 116.9%;
        max-width: 12.8rem;
    }
    &:hover {
        color: #B4D1FF;
        .more-link {
            &__icon {
                background: #B4D1FF;
            }
        }
    }
    &:active {
        .more-link {
            &__icon {
                background: #4F92FF;
            }
        }
    }
    &.active {
        opacity: .59;
        .more-link {
            &__icon {
                transform-origin: 50% 50%;
                transform: rotate(90deg);
            }
            &__text {
                opacity: 0;
                pointer-events: none;
            }
        }
        &:hover {
            opacity: 1;
            .more-link {
                &__icon {
                    background: #030304;
                    border-color: #B4D1FF;
                    color: #B4D1FF;
                }
            }
        }
        &:active {
            opacity: 1;
            .more-link {
                &__icon {
                    background: #B4D1FF;
                    border-color: #FFF;
                    color: #FFF;
                }
            }
        }
    }
    @media only screen and (max-width: 834px) {
        &__icon {
            border-width: 0.2rem;
            margin-right: 1.7rem;
            width: 4.1rem;
            height: 4.1rem;
        }
        &__text {
            font-size: 1.5rem;
        }
    }
}

.download-btn {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 20rem;
    height: 20rem;
    flex-shrink: 0;
    color: #FDEDBA;
    transition: .3s ease;
    &::before {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        display: block;
        width: 100%;
        height: 100%;
        background: url(/assets/svg/download-text.svg) no-repeat center;
        background-size: contain;
        animation: rotation 10s linear infinite;
        animation-delay: 0;
    }
    &__svg {
        display: block;
        width: 5.7rem;
        height: 5.6rem;
        object-fit: contain;
        fill: currentColor;
        flex-shrink: 0;
    }
    &:hover {
        color: #B4D1FF;
    }
    &:active {
        color: #4F92FF;
    }
    @media only screen and (max-width: 834px) {
        width: 9rem;
        height: 9rem;
        &__svg {
            width: 2.2rem;
            height: 2.2rem;
        }
    }
    @media only screen and (max-width: 610px) {
        width: 5rem;
        height: 5rem;
        &__svg {
            width: 1.3rem;
            height: 1.3rem;
        }
    }
}

@keyframes rotation {
    0% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(360deg);
    }
}